<template>
  <div>
    <p>Esta carga se encuentra</p>
    <v-icon>
      {{ icon }}
    </v-icon>
    <p>{{ text }}</p>
  </div>
</template>

<script>
import { bulkStates } from '~/helpers/enums/bulk';
import { formatBulkState } from '~/helpers/format';

export default {
  name: 'NoResultsYet',
  props: {
    state: {
      type: String,
      required: true,
    },
  },
  computed: {
    icon() {
      if (this.state === bulkStates.PENDING.name || this.state === bulkStates.IN_PROGRESS.name) {
        return 'mdi-alarm';
      }
      return 'mdi-progress-clock';
    },
    text() {
      return formatBulkState(this.state);
    },
  },
};
</script>

<style scoped>
.v-icon.v-icon{
  color: #1ECD96;
  font-size: 5rem;
  margin-bottom: 0.5rem;
}
</style>
